let n = /* @__PURE__ */ (function(t) {
  return t.startingStyle = "data-starting-style", t.endingStyle = "data-ending-style", t;
})({});
const e = {
  [n.startingStyle]: ""
}, i = {
  [n.endingStyle]: ""
}, r = {
  transitionStatus(t) {
    return t === "starting" ? e : t === "ending" ? i : null;
  }
};
export {
  n as TransitionStatusDataAttributes,
  r as transitionStatusMapping
};
